cURL
curl --request GET \
--url https://api.useanima.sh/v1/addresses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useanima.sh/v1/addresses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useanima.sh/v1/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"agentId": "<string>",
"orgId": "<string>",
"type": "BILLING",
"label": "<string>",
"street1": "<string>",
"street2": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"validated": true,
"validatedAt": "2023-11-07T05:31:56Z",
"provider": "<string>",
"metadata": {},
"isPrimary": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]API Reference
Get addresses
GET
/
addresses
cURL
Authorizations
BearerAuthApiKeyAuth
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Query Parameters
Agent identifier to list addresses for
Pattern:
^[0-9a-z]+$Filter addresses by type
Available options:
BILLING, SHIPPING, MAILING, REGISTERED Response
200 - application/json
OK
Unique address identity identifier
Agent that owns this address
Organization the address belongs to
Address type
Available options:
BILLING, SHIPPING, MAILING, REGISTERED User-defined label
Primary street address line
Secondary street address line
City name
State or province
Postal or ZIP code
2-character ISO country code
Whether the address has been validated
Timestamp when the address was validated
Validation provider name
Additional metadata
Show child attributes
Show child attributes
Whether this is the primary address for its type
Timestamp when the address was created
Timestamp when the address was last updated
